function menu_load()
  titlefont = love.graphics.newFont("Icons&Extras/Font/slkscr.ttf", 64)
  buttonfont = love.graphics.newFont("Icons&Extras/Font/slkscr.ttf", 48)
  buttong = 255
  buttonb = 255
  menubuttons = {
    startButton = {text = "Start", x = 200, y = 300, call = startgame, buttong = 255, buttonb = 255, buttonr = 255},
    exitButton = {text = "Exit", x = 200, y = 500, call = exitgame, buttong = 255, buttonb = 255, buttonr = 255},
    optionsButton = {text = "Options", x = 200, y = 400, call = openoptions, buttong = 255, buttonb = 255,  buttonr = 255}
    } 
end

function menu_draw()
  love.graphics.setColor(255, 255, 255, 255)
  love.graphics.setFont(titlefont)
  love.graphics.printf("KNIGHTLY", 200, 100, 400, "center")
  
  love.graphics.setFont(buttonfont)
  
  for i, v in pairs(menubuttons) do
  love.graphics.setColor(v.buttonr, v.buttong, v.buttonb, 255)
  love.graphics.printf(v.text, v.x, v.y, 400, "center")
  end
end

function menu_update(dt)
  
end

function menu_mousepressed(x, y, button)
  print("screen was clicked")
  for i, v in pairs(menubuttons) do
    if x > v.x and x < v.x + 400 and y > v.y and y < v.y + 45 then
    v.call()
    end
  end
end

function menu_mousemoved(x, y)
   for i, v in pairs(menubuttons) do
    if x > v.x and x < v.x + 400 and y > v.y and y < v.y + 45 then
      v.buttong = 0 v.buttonb = 0 v.buttonr = 175
    else v.buttong = 255 v.buttonb = 255 v.buttonr = 255
    end
  end
end

function startgame()
  print("startinggame")
end

function exitgame()
  print("quiting")
end

function openoptions()
  print("fetchingoptions")
end